{ config, lib, pkgs, ... }:

let
  dn = "tfcconnection.org";
in 
with lib;
{
  services.nginx.virtualHosts.${dn} = {
    forceSSL = true;
    enableACME = true;
    locations."/" = {
      proxyPass = "http://127.0.0.1:4242";
      proxyWebsockets = true;
    };
  };
  systemd.services = {
    website = {
      enable = true;
      serviceConfig = {
        ExecStart = "${pkgs.website}/bin/tfcapi";
      };
    };
  };
}
